=== debian/changelog ===
mupen64plus (1.5+dfsg1-16) unstable; urgency=low

  * debian/patches:
    - Add rtc.patch, Add support for n64 internal clock
    - Add n64_romswap.patch, Fix swapping of n64 images
    - Add g_type_init.patch, Call g_type_init before starting gui
    - Add sigchld.patch, Don't kill emulation when a child thread stops
  * Upgraded to policy 3.9.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sun, 08 May 2011 18:34:53 +0200

mupen64plus (1.5+dfsg1-15) unstable; urgency=low

  * Upload to unstable
  * Updated my maintainer e-mail address
  * debian/patches:
    - Add inline_header.patch, Move inline list_empty to header to make it
      inlineable
  * Keep dependencies on separate lines in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 06 Feb 2011 11:57:54 +0100

mupen64plus (1.5+dfsg1-14) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Use externally provided LDFLAGS
    - Disable support for debugger due to missing pic/pie support of
      libopcodes.a
  * debian/patches:
    - Add correct_security_printf.patch, Correct possible printf format string
      vulnerability
    - Add pie_support.patch, Add support for PIE/PIC

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:52:32 +0200

mupen64plus (1.5+dfsg1-13) unstable; urgency=low

  * debian/patches:
    - Add path_max.patch, Add dummy PATH_MAX on systems without it (Closes:
      #588066)
    - Add optional_signinfo.patch, Only use siginfo subsystem if system offers
      it (Closes: #588066)
    - Add glide64_hurd.patch, Define GNU/Hurd as UNIX system for glide64
      (Closes: #588066)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 12 Jul 2010 23:20:02 +0200

mupen64plus (1.5+dfsg1-12) unstable; urgency=low

  * Use googlecode.debian.net instead of complex own filters for debian/watch
  * Upgraded to policy 3.9.0, no changes required
  * Build only on i386/amd64 because upstream doesn't to support more
  * debian/patches:
    - Add link_gdk.patch, Link directly against gdk-2.0 instead indirectly
      through gtk+-2.0

 -- Sven Eckelmann <sven@narfation.org>  Mon, 28 Jun 2010 21:31:48 +0200

mupen64plus (1.5+dfsg1-11) unstable; urgency=low

  * debian/patches:
    - Rename ftbfs-gvariant-type-conflicts.path to
      ftbfs-gvariant-type-conflicts.patch
    - Add rice-ati-symbols.patch, Allow to load rice on systems with missing
      opengl extensions

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 May 2010 11:55:23 +0200

mupen64plus (1.5+dfsg1-10) unstable; urgency=low

  [ Sven Eckelmann ]
  * debian/patches:
    - Add rsp_ucode2_reset.patch, Reset status of specific ucode2 hacks after
      starting again
    - Add rsp_hle_bigendian.patch, Fix wrong high level emulation of rsp on big
      endian systems
    - Add rice-crash-vendorstring.patch, Don't crash on long OpenGL vendor
      string (Closes: #580480, LP: #575968)

  [ Piotr Ożarowski ]
  * DMUA flag set to yes

 -- Sven Eckelmann <sven@narfation.org>  Thu, 06 May 2010 11:34:46 +0200

mupen64plus (1.5+dfsg1-9) unstable; urgency=low

  * debian/patches:
    - Add ftbfs-gvariant-type-conflicts.path, Fix FTBFS due to glib's gvariant.h
      type definitions (Closes: #577329)
    - Add dont-install-unneeded.patch, Don't install files which aren't used by
      us
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing
    - Share options between dh_auto_build and dh_auto_install
  * debian/control:
    - Depend on debhelper 7.4.10 for --parallel and --list-missing

 -- Sven Eckelmann <sven@narfation.org>  Sun, 11 Apr 2010 12:23:04 +0200

mupen64plus (1.5+dfsg1-8) unstable; urgency=low

  * debian/patches:
    - Add rice_fog.patch, Reduce flickering when enabling fog in rice
    - Update fix_readpng.patch, Fix FTBFS with libpng14 and remove coding style
      only changes
  * Convert to 3.0 (quilt) source format
  * Remove outdated README.source
  * debian/control:
    - Remove shlibs:Depends for binary packages without shared libs dependencies
    - Remove unneeded build dependency to quilt
    - Upgraded to policy 3.8.4, no changes required
  * Correct spelling errors found by lintian
  * debian/copyright: Update copyright years
  * Check all files ever published on the download page in debian/watch

 -- Sven Eckelmann <sven@narfation.org>  Mon, 15 Mar 2010 16:22:03 +0100

mupen64plus (1.5+dfsg1-7) unstable; urgency=low

  * debian/patches:
    - Correct minor dep3 patch tagging format problems
    - Update correct_fpr32_mapping.patch, prevent corruption of upper registers
      in a register pair due to sign extension
    - Add system-liblzma.patch, use liblzma from debian instead of buildin
      (Closes: #543552)
  * debian/control:
    - Depend on liblzma-dev for lzma and xz support

 -- Sven Eckelmann <sven@narfation.org>  Mon, 19 Oct 2009 12:38:26 +0200

mupen64plus (1.5+dfsg1-6) unstable; urgency=low

  * debian/patches:
    - Add Origin information to patches
    - Update fix_readpng.patch, Backport actual commit from upstream
    - Update ftbfs-glibc210.patch, Backport actual commit from upstream
    - Update noexecstack.patch, Backport actual commit from upstream
    - Update jttl_fix_romclosed.patch, Backport actual commit from upstream
    - Add correct_fpr32_mapping.patch, Correct emulation of shared 32 bit wide
      and 64 bit wide FPR in MIPS I and MIPS III mode
    - Remove load-fpr-location.patch which is replaced by
      correct_fpr32_mapping.patch
    - Add load_aidacrate.patch, Set aiDacrate during savestate load to fix
      slowdowns after savestate load
    - Add load_vistatus.patch, Set video width and status during savestate load

