=== debian/control ===
Source: mupen64plus
Section: games
Priority: optional
Maintainer: Tobias Loose <TobiasLoose@gmx.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mupen64plus/
Vcs-Git: git://git.debian.org/git/collab-maint/mupen64plus.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mupen64plus.git
Build-Depends:
 debhelper (>= 8.0.0),
 hardening-includes,
 libbz2-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libglib2.0-dev,
 libglu1-mesa-dev | libglu-dev,
 libgtk2.0-dev,
 liblzma-dev,
 libpng12-dev | libpng-dev,
 libsamplerate0-dev,
 libsdl1.2-dev,
 libsdl-ttf2.0-dev,
 libxdg-basedir-dev,
 pkg-config,
 zlib1g-dev | libz-dev,

Package: mupen64plus
Architecture: any-i386 any-amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ttf-dejavu-core,
Description: plugin-based Nintendo 64 emulator
 N64 Emulator for Linux that works with many ROMs that are publically available.
 It has the following features:
  * loading of compressed roms
  * cheat system
  * exchangeable plugins for graphics, sound and input emulation
  * multiple save states
  * fullscreen support
  * high quality texture filter for many graphic plugins
  * support for external hi-res texture packs

Package: mupen64plus-dbg
Section: debug
Priority: extra
Architecture: any-i386 any-amd64
Depends:
 ${misc:Depends},
 mupen64plus (= ${binary:Version}),
Description: mupen64plus debug symbols package
 N64 Emulator for Linux that works with many ROMs that are publically available.
 It has the following features:
  * loading of compressed roms
  * cheat system
  * exchangeable plugins for graphics, sound and input emulation
  * multiple save states
  * fullscreen support
  * high quality texture filter for many graphic plugins
  * support for external hi-res texture packs
 .
 This package contains the debug files.
