=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

DEB_BUILD_HARDENING_PIE:=0
include /usr/share/hardening-includes/hardening.make
CFLAGS += $(HARDENING_CFLAGS)
CXXFLAGS += $(HARDENING_CFLAGS)
LDFLAGS += $(HARDENING_LDFLAGS)

export PIE_CFLAGS=$(HARDENING_DISABLE_PIE_CFLAGS_FILTER)
export PIE_LDFLAGS=$(HARDENING_DISABLE_PIE_LDFLAGS_FILTER)

LDFLAGS += -Wl,--as-needed

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
MAKEOPTIONS = UNAME='$(DEB_HOST_GNU_CPU)' DBGSYM=1 PREFIX=/usr/ LIBDIR=/usr/lib/mupen64plus/ BINDIR=/usr/games/

%:
	dh $@ --parallel --list-missing

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_clean:
	mkdir -p "$(CURDIR)/glN64"
	cp "$(CURDIR)/debian/Makefile.glN64" "$(CURDIR)/glN64/Makefile"
	dh_auto_clean
	rm -rf "$(CURDIR)/glN64"
	rm -rf "$(CURDIR)/plugins"

override_dh_auto_build:
	mkdir -p "$(CURDIR)/plugins"
	dh_auto_build -- all $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)
	mkdir -p "$(CURDIR)/debian/tmp/usr/share/man/man1/"
	zcat "$(CURDIR)/doc/mupen64plus.1.gz"|gzip -9 -n > \
	     "$(CURDIR)/debian/tmp/usr/share/man/man1/mupen64plus.1.gz"

override_dh_strip:
	dh_strip -a --dbg-package=mupen64plus-dbg

.PHONY: get-orig-source
