=== debian/watch ===
version=3

opts="uversionmangle=s/-/./,dversionmangle=s/\+dfsg\d+$//" \
http://googlecode.debian.net/p/mupen64plus/Mupen64Plus-(.*).src\.tar.gz \
	debian debian/prune-tarball.sh
