## mupen64plus 1.99.4%2b4

=== debian/changelog ===
mupen64plus (1.99.4+4) unstable; urgency=low

  * Don't mix implicit and explicit rules to prevent FTBFS with make
    3.82
  * Add dependency mupen64plus-rsp-z64 to mupen64plus-rsp-all because it
    also provides mupen64plus-rsp-z64-hlevideo
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 12:48:29 +0100

mupen64plus (1.99.4+3) unstable; urgency=low

  * Upgraded to policy 3.9.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sun, 14 Aug 2011 18:00:01 +0200

mupen64plus (1.99.4+2) unstable; urgency=low

  * Upload to unstable
  * Remove overrides for lintian warning about change to native package
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control
  * Fix spelling of "Flexible" in debian/control (Closes: #633693)
  * Mark all targets in debian/rules as phony
  * Add some information about the mupen64plus 2.0 vision in debian/NEWS

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 14:23:26 +0200

mupen64plus (1.99.4+1) experimental; urgency=low

  * New Upstream Version
  * Updated my maintainer e-mail address
  * Split source package to match upstreams modular release packages
  * Provide metapackages for audio, input, rsp, ui and video plugins
  * Override lintian warning about change to native package
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years
  * debian/patches:
    - Remove patches related to debian packages: as-needed.patch,
      correct_fpr32_mapping.patch, correct_security_printf.patch,
      debian-archs.patch, default-optimisations.patch,
      dejavu-font.patch, destdir.patch, dont-install-unneeded.patch,
      fix-7z-subfolder.patch, fix-desktop-file.patch,
      fix_r0_override.patch, fix_readpng.patch, ftbfs-debugger.patch,
      ftbfs-dynarec.patch, ftbfs-glibc210.patch,
      ftbfs-gvariant-type-conflicts.patch, ftbfs-kfreebsd.patch,
      glide64_hurd.patch, glide64-noasm.patch, gtk-open-filter.patch,
      interpreter_x86_fldcw.patch, jttl_fix_romclosed.patch,
      link_gdk.patch, load_aidacrate.patch, load_vistatus.patch,
      noexecstack.patch, optional_signinfo.patch, osd-pause-crash.patch,
      path_max.patch, pie_support.patch, plugin-searchpath.patch,
      remove-gln64.patch, remove-nondfsg-icons.patch,
      resume_on_start.patch, rice-ati-symbols.patch,
      rice-crash-vendorstring.patch, rice_fog.patch, rice_nodebug.patch,
      rice-screenflickering.patch, rice-texturepack-crash.patch,
      rsp_hle_bigendian.patch, rsp_ucode2_reset.patch,
      static-binutils-libs.patch, system-libbz2.patch,
      system-liblzma.patch, system-libpng.patch, system-zlib.patch,
      version-string.patch, xdg-basedir.patch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 22 Jan 2011 11:05:28 +0100
