=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep %:
	dh $@

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep
