## mupen64plus 1.99.4+4

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
 Depends:
  ${misc:Depends},
  mupen64plus-rsp-hle,
+ mupen64plus-rsp-z64,
 Description: plugin-based Nintendo 64 emulator, rsp plugins
  Flexible N64 Emulator for Linux that works with many ROMs that are publically
  available. It consists of separate components to provide an user interface,
